# driveItems.removeShare

Revoke a share grant.

`DELETE /api/v1/drive-items/{itemId}/access/{email}`

- SDK: [`tb.driveItems.removeShare(input)`](/sdk)
- CLI: [`thinkbench drive-items remove-share`](/cli)
- MCP tool: [`drive_items_remove_share`](/mcp)

## Input

| Field | Type | In | Description |
| --- | --- | --- | --- |
| `itemId` | `string` | path |  |
| `email` | `string` | path |  |

## Output

Returns an empty response on success.

## Examples

### curl

```bash
curl -X DELETE "https://app.thinkbench.com/api/v1/drive-items/<itemId>/access/<email>" \
  -H "x-api-key: $THINKBENCH_API_KEY"
```

### TypeScript SDK

```ts
await tb.driveItems.removeShare({ itemId: "<itemId>", email: "ada@example.com" });
```

### CLI

```bash
thinkbench drive-items remove-share --item-id "<itemId>" --email "ada@example.com"
```

### MCP

```json
{
  "name": "drive_items_remove_share",
  "arguments": {
    "itemId": "<itemId>",
    "email": "ada@example.com"
  }
}
```
